Get component prices
GET
/v1/prices/components
const url = 'https://example.com/komplettpc/v1/prices/components';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/komplettpc/v1/prices/componentsReturns the purchase price of all available components.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
prices
required
Array<object>
object
productId
required
string
net
required
number | string format: double
gross
required
number | string format: double
vatRate
required
number | string format: double
Examplegenerated
{ "prices": [ { "productId": "example", "net": 1, "gross": 1, "vatRate": 1 } ]}Bad Request
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
required
Array<object>
object
fieldName
required
string
message
required
string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": [ { "fieldName": "example", "message": "example" } ], "code": "example", "traceId": "example"}Unauthorized
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Forbidden
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Unprocessable Entity
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Internal Server Error
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}